##############################################################################
##############################################################################
#
# Configuration pour la construction des paquets
# Archives et versions
#
##############################################################################
##############################################################################

init -1 python hide:

    ## Cette option devrait être passé à False avant la distribution
    ## du jeu, ainsi le joueur ne peut pas tricher en utilisant les
    ## outils pour développeur.

    config.developer = False
    ## Contrôle le nom et la version du jeu; qui apparaîtront dans les
    ## fichiers de débogage.
    config.name = "Ivy-new"
    config.version = "2.0"
    
    # Configuration pour les paquets
    build.directory_name = "Ivy_%s_fr-en" % config.version
    build.executable_name = "Ivy"
    build.destination = "paquets/{directory_name}"
    build.exclude_empty_directories = True
    
    # Dossiers à archiver
    build.archive("assets_graphiques","all")
    build.archive("assets_audio","all")
    build.archive("divers","all")
    build.classify("game/images/originaux/**","all")
    build.classify("game/images/**.jpg","assets_graphiques")
    build.classify("game/images/**.png","assets_graphiques")
    build.classify("game/audio/**.ogg","assets_audio")
    build.classify("game/audio/**.mp3","assets_audio")
    build.classify("game/audio/**.wav","assets_audio")
    build.classify("game/audio/**.jpg","divers")
    build.classify("game/audio/**.png","divers")
    
    # Fichiers spécifiques android (inutiles pour les autres paquets)
    build.classify("ecrans_android.rpy","android")

    
    # Dossiers à exclure
    build.classify("**.odt", None)
    build.classify("**~", None)
    build.classify("**.bak", None)
    build.classify(".hg",None)
